# Generated by Django 2.1.3 on 2018-12-05 23:24

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('kafra_app', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Lista',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre_lista', models.CharField(max_length=60, verbose_name='Nombre de Lista')),
            ],
        ),
        migrations.RenameField(
            model_name='producto',
            old_name='nombre',
            new_name='nombre_producto',
        ),
        migrations.AlterField(
            model_name='producto',
            name='tienda',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='kafra_app.Tienda'),
        ),
        migrations.AddField(
            model_name='lista',
            name='producto',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='kafra_app.Producto'),
        ),
        migrations.AddField(
            model_name='lista',
            name='usuario',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
    ]
